
MODELS = {
    'ir.module': {
        'rec_name': 'name',
        'fields': [
            'name', 'state'
        ]
    },
    'company.company': {
        'rec_name': 'rec_name',
        'fields': [
            'party', 'logo'
        ],
        'binaries': ['logo']
    },
    'res.user': {
        'rec_name': 'name',
        'fields': ['name', 'sale_device']
    },
    'product.category': {
        'rec_name': 'name',
        'fields': [
            'name', 'leasable', 'parent', 'childs', 'name_icon', 'accounting'
        ]
    },
    'sale.sale': {
        'rec_name': 'number',
        'fields': [
            'number', 'party', 'salesman.party.name', 'lines', 'sale_date',
            'state', 'total_amount_cache', 'salesman', 'payment_term',
            'invoices', 'payments', 'untaxed_amount', 'position', 'tax_amount',
            'total_amount', 'residual_amount', 'paid_amount', 'invoice',
            'invoices', 'delivery_charge', 'price_list', 'agent', 'commission',
            'invoice_number', 'invoice.state', 'shipment_address',
            'state_string', 'shop', 'delivery_party', 'reference',
            'channel', 'channel.rec_name', 'delivery_way', 'consumer',
            'delivery_state', 'table_assigned', 'invoice_type', 'kind',
            'comment', 'net_amount', 'tip_amount', 'delivery_amount',
            'net_amount', 'party.rec_name',
        ]
    },
    'sale.line': {
        'rec_name': 'product',
        'fields': [
            'product', 'product.template.sale_price_w_tax', 'type',
            'quantity', 'unit_price_w_tax', 'product.description', 'note',
            'description', 'qty_fraction', 'amount_w_tax', 'unit.symbol',
            'product.template.name', 'product.code', 'unit.digits', 'amount',
            'discount', 'product.sale_price_w_tax', 'product.quantity',
            'order_sended'
        ]
    },
    'account.statement.journal': {
        'rec_name': 'number',
        'fields': ['name', 'require_voucher', 'kind']
    },
    'company.employee': {
        'rec_name': 'rec_name',
        'fields': ['rec_name', 'party']
    },
    'commission.agent': {
        'rec_name': 'rec_name',
        'fields': [
            'active', 'party', 'party.id_number', 'rec_name', 'plan.percentage'
        ]
    },
    'sale.delivery_party': {
        'rec_name': 'rec_name',
        'fields': [
            'active', 'party', 'party.id_number', 'party.phone', 'rec_name',
            'number_plate', 'type_vehicle',
        ]
    },
    'sale.discount': {
        'rec_name': 'rec_name',
        'fields': ['active', 'name', 'rec_name', 'discount']
    },
    'sale.web_channel': {
        'rec_name': 'rec_name',
        'fields': ['id', 'rec_name']
    },
    'party.consumer': {
        'rec_name': 'rec_name',
        'fields': ['party', 'id_number', 'rec_name', 'name', 'address',
                   'phone', 'birthday', 'notes']
    },
    'account.invoice.payment_term': {
        'rec_name': 'name',
        'fields': ['name', 'active']
    },
    'sale.device': {
        'rec_name': 'name',
        'fields': [
            'name', 'shop', 'shop.company', 'shop.name', 'shop.taxes',
            'shop.party', 'journals', 'shop.product_categories', 'journal',
            'shop.payment_term', 'shop.warehouse', 'shop.discount_pos_method',
            'shop.salesman_pos_required', 'shop.electronic_authorization',
            'shop.invoice_copies', 'shop.pos_authorization', 'shop.discounts',
            'shop.computer_authorization', 'shop.manual_authorization',
            'shop.credit_note_electronic_authorization', 'shop.salesmans',
            'shop.debit_note_electronic_authorization', 'shop.delivery_man',
        ]
    },
    'sale.shop': {
        'rec_name': 'name',
        'fields': ['taxes', 'product_categories', 'party', 'invoice_copies',
                   'warehouse', 'payment_term', 'salesmans', 'delivery_man',
                   'discounts']
    },
    'product.product': {
        'rec_name': 'rec_name',
        'fields': [
            'name', 'code', 'barcode', 'write_date', 'description',
            'template.sale_price_w_tax', 'template.account_category',
            'location.name', 'image', 'image_icon', 'quantity', 'list_price',
            'encoded_sale_price', 'location', 'locations', 'uom', 'categories',
        ],
        'binaries': ['image']
    },
    'party.party': {
        'rec_name': 'name',
        'fields': [
            'name', 'id_number', 'addresses', 'phone', 'customer_payment_term',
            'customer_payment_term.name', 'credit_limit_amount',
            'credit_amount', 'street', 'receivable', 'salesman'
        ]
    },
    'ir.action.report': {
        'rec_name': 'report_name',
        'fields': ['action', 'report_name']
    },
    'sale.configuration': {
        'rec_name': 'id',
        'fields': [
            'tip_product', 'tip_product.code', 'show_description_pos',
            'show_position_pos', 'show_stock_pos', 'encoded_sale_price',
            'tip_rate', 'password_force_assign', 'show_agent_pos',
            'show_product_image', 'show_location_pos', 'show_order_number',
            'show_brand', 'show_delivery_charge', 'decimals_digits_quantity',
            'password_admin_pos', 'show_fractions', 'discount_pos_method',
            'new_sale_automatic', 'default_invoice_type', 'cache_products_local',
            'print_invoice_payment', 'delivery_product', 'delivery_party',
            'delivery_product.list_price',
        ]
    },
    'party.address': {
        'rec_name': 'name',
        'fields': [
            'name', 'street'
        ]
    },
    'sale.shop.table': {
        'rec_name': 'name',
        'fields': ['id', 'name', 'state', 'sale']
    },
    'account.tax': {
        'rec_name': 'name',
        'fields': [
            'name'
        ]
    },
    'commission': {
        'rec_name': 'rec_name',
        'fields': [
            'name'
        ]
    },
}
